## org.apache.commons.math.optimization
Class OptimizationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.ConvergenceException
                      org.apache.commons.math.optimization.OptimizationException

All Implemented Interfaces:
  Serializable, MathThrowable

Direct Known Subclasses:
  NoFeasibleSolutionException, UnboundedSolutionException

Deprecated. in 2.2 (to be removed in 3.0).

    public class OptimizationException

extends ConvergenceException

This class represents exceptions thrown by optimizers.

Since:
  1.2
Version:
  $Revision: 1044015 $ $Date: 2010-12-09 17:06:26 +0100 (jeu. 09 déc. 2010) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Deprecated. Serializable version identifier.

Constructor Summary
`OptimizationException(Localizable specifier, Object... parts)` Deprecated. Simple constructor.
`OptimizationException(String specifier, Object... parts)` Deprecated. as of 2.2 replaced by `OptimizationException(Localizable, Object...)`
`OptimizationException(Throwable cause)` Deprecated. Create an exception with a given root cause.

Method Summary

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Deprecated.
  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### OptimizationException

    @Deprecated
    public OptimizationException(String specifier,
                                            Object... parts)

  Deprecated. as of 2.2 replaced by `OptimizationException(Localizable, Object...)`

  Simple constructor. Build an exception by translating and formating a message

  Parameters:
    `specifier` - format specifier (to be translated)
    `parts` - to insert in the format (no translation)

### OptimizationException

    public OptimizationException(Localizable specifier,
                                 Object... parts)

  Deprecated.
  Simple constructor. Build an exception by translating and formating a message

  Parameters:
    `specifier` - format specifier (to be translated)
    `parts` - to insert in the format (no translation)
  Since:
    2.2

### OptimizationException

    public OptimizationException(Throwable cause)

  Deprecated.
  Create an exception with a given root cause.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown

Copyright (c) 2003-2013 Apache Software Foundation